summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Kent Fritz <fritz.kent@gmail.com>2015-02-21 19:25:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-21 19:25:24 +0700
commit7b1c30e2f98e8744cb1eab774441d0f045a1cefe (patch)
treeb003dc8ceca6ee4a2080dc5abcc90d247598e548 /network
parentdf0da089c375cf460e20991ffd0d88152ee06ebc (diff)
downloadslackbuilds-7b1c30e2f98e8744cb1eab774441d0f045a1cefe.tar.gz
slackbuilds-7b1c30e2f98e8744cb1eab774441d0f045a1cefe.tar.xz
network/openvas-manager: Added (Manager for OpenVAS).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/openvas-manager/README4
-rw-r--r--network/openvas-manager/doinst.sh27
-rw-r--r--network/openvas-manager/openvas-manager.SlackBuild107
-rw-r--r--network/openvas-manager/openvas-manager.info10
-rw-r--r--network/openvas-manager/rc.openvasmd47
-rw-r--r--network/openvas-manager/slack-desc19
6 files changed, 214 insertions, 0 deletions
diff --git a/network/openvas-manager/README b/network/openvas-manager/README
new file mode 100644
index 0000000000..8906e2a1eb
--- /dev/null
+++ b/network/openvas-manager/README
@@ -0,0 +1,4 @@
+openvas-manager (Manager for OpenVAS)
+
+This is the manager module for the Open Vulnerability Assessment
+System (OpenVAS).
diff --git a/network/openvas-manager/doinst.sh b/network/openvas-manager/doinst.sh
new file mode 100644
index 0000000000..62615e72a5
--- /dev/null
+++ b/network/openvas-manager/doinst.sh
@@ -0,0 +1,27 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.openvasmd.new
+config etc/openvas/openvasmd_log.conf.new
+config etc/openvas/pwpolicy.conf.new
diff --git a/network/openvas-manager/openvas-manager.SlackBuild b/network/openvas-manager/openvas-manager.SlackBuild
new file mode 100644
index 0000000000..4bcdb2a682
--- /dev/null
+++ b/network/openvas-manager/openvas-manager.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for openvas-manager
+
+# Copyright 2014-2015 Kent Fritz, Mountain View, CA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openvas-manager
+VERSION=${VERSION:-5.0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLOCALSTATEDIR=/var \
+ -DSYSCONFDIR=/etc \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.openvasmd > $PKG/etc/rc.d/rc.openvasmd.new
+chmod 0644 $PKG/etc/rc.d/rc.openvasmd.new
+mv $PKG/etc/openvas/openvasmd_log.conf $PKG/etc/openvas/openvasmd_log.conf.new
+mv $PKG/etc/openvas/pwpolicy.conf $PKG/etc/openvas/pwpolicy.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/openvas-manager/openvas-manager.info b/network/openvas-manager/openvas-manager.info
new file mode 100644
index 0000000000..4b7b9903ee
--- /dev/null
+++ b/network/openvas-manager/openvas-manager.info
@@ -0,0 +1,10 @@
+PRGNAM="openvas-manager"
+VERSION="5.0.8"
+HOMEPAGE="http://www.openvas.org"
+DOWNLOAD="http://wald.intevation.org/frs/download.php/1911/openvas-manager-5.0.8.tar.gz"
+MD5SUM="566c2781a3f0e6114e0e8123f74bf9ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="openvas-libraries"
+MAINTAINER="Kent Fritz"
+EMAIL="fritz.kent@gmail.com"
diff --git a/network/openvas-manager/rc.openvasmd b/network/openvas-manager/rc.openvasmd
new file mode 100644
index 0000000000..78595eea78
--- /dev/null
+++ b/network/openvas-manager/rc.openvasmd
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# /etc/rc.d/rc.openvasmd
+#
+# Start/stop/restart the OpenVAS Manager Daemon.
+#
+# To make OpenVAS Manager start automatically at boot, make this
+# file executable: chmod 755 /etc/rc.d/rc.openvasmd
+# and add to rc.local:
+# if [ -x /etc/rc.d/rc.openvasmd ]; then
+# . /etc/rc.d/rc.openvasmd start
+# fi
+#
+
+OPENVASMD_PATH=/usr/sbin
+OPENVASMD_BIN=openvasmd
+OPENVASMD_OPTIONS="-a 127.0.0.1 --gnutls-priorities=SECURE128:-VERS-SSL3.0"
+OPENVASMD_CMD="$OPENVASMD_PATH/$OPENVASMD_BIN $OPENVASMD_OPTIONS"
+
+openvasmd_start() {
+ echo Starting OpenVAS Manager: $OPENVASMD_CMD
+ $OPENVASMD_CMD
+}
+
+openvasmd_stop() {
+ echo "Stopping OpenVAS Manager"
+ /bin/killall $OPENVASMD_BIN
+}
+
+openvasmd_restart() {
+ openvasmd_stop
+ openvasmd_start
+}
+
+case "$1" in
+'start')
+ openvasmd_start
+ ;;
+'stop')
+ openvasmd_stop
+ ;;
+'restart')
+ openvasmd_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart|reload"
+esac
diff --git a/network/openvas-manager/slack-desc b/network/openvas-manager/slack-desc
new file mode 100644
index 0000000000..37a73de886
--- /dev/null
+++ b/network/openvas-manager/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openvas-manager: openvas-manager (Manager for OpenVAS)
+openvas-manager:
+openvas-manager: This is the manager module for the Open Vulnerability Assessment
+openvas-manager: System (OpenVAS).
+openvas-manager:
+openvas-manager: For more information, please refer to the OpenVAS website available
+openvas-manager: at http://www.openvas.org/ .
+openvas-manager:
+openvas-manager:
+openvas-manager:
+openvas-manager: